#
# spec file for package xkbcomp
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xkbcomp
Version:        1.3.0
Release:        2.4
Summary:        Utility to compile XKB keyboard description
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
#Source-URL:    http://xorg.freedesktop.org/releases/individual/app/
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  bison
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The xkbcomp keymap compiler converts a description of an XKB keymap
into one of several output formats.

%package devel
Summary:        Utility to compile XKB keyboard description -- Development Files
Group:          Development/Libraries/X11
Requires:       %{name} = %{version}

%description devel
The xkbcomp keymap compiler converts a description of an XKB keymap
into one of several output formats.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xkbcomp
%{_mandir}/man1/xkbcomp.1%{?ext_man}

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/xkbcomp.pc

%changelog
* Sat Nov 29 2014 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.3.0:
  + Support for multiple keysyms per level (#25025).
  + Misc fixes and changes all over the place.
  + UNIXOS2 support was dropped.
* Fri May 11 2012 vuntz@opensuse.org
- Split the pkg-config file in a devel subpackage, instead of
  removing it: it might be needed by some configure scripts.
- Remove xkbcomp-devel Provides from main subpackage now that we
  have a proper devel subpackage.
* Fri May 11 2012 coolo@suse.com
- remove the pkgconfig file - it requires all devel packages and
  nothing of that is needed to run xkbcomp
* Thu Apr 26 2012 vuntz@opensuse.org
- Version the Provides for xkbcomp-devel, as it can be useful.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.2.4:
  + Delete redundant redeclarations of extern Atoms in symbols.c
  + Make sure to leave room for trailing nil byte in yyGetNumber
  + include resets group compatibility modifiers fdo#43091
  + Correct our zeroing out of the row in InitRowInfo
  + Add missing _X_NORETURN to uFatalError
  + Add .pc file for version export
  + Print version number on -version.
  + Build system fixes.
- Changes from version 1.2.3:
  + Interp: Allow explicit Any/NoSymbol mappings
  + Constify LookupKeysym input argument
- Changes from version 1.2.2:
  + Interp: Ignore NoSymbol definitions
  + Interp: Don't make modifier lookup failure fatal
  + Replace repeated checks for gcc with _X_ATTRIBUTE_PRINTF from
    xproto
  + xkbcomp: Stop possible overflow in yyGetnumber. fdo#31647
  + Inline the oiText macro in the only place it's used
  + Build system fixes.
- Changes from version 1.2.1:
  + Build system fixes.
- Add pkgconfig(xproto) BuildRequires: new dependency.
- Provide xkbcomp-devel from the main-package. This is a compiler,
  and as such per definition a -devel tool. This helps to silence
  a rpmlint warning, as we now also have a .pc file.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xkbcomp from xorg-x11. Initial version: 1.2.0.
